﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;
#if UNITY_EDITOR
public class UnityEditor_EditorWindowWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(UnityEditor.EditorWindow), typeof(UnityEngine.ScriptableObject));
		L.RegFunction("BeginWindows", BeginWindows);
		L.RegFunction("EndWindows", EndWindows);
		L.RegFunction("ShowNotification", ShowNotification);
		L.RegFunction("RemoveNotification", RemoveNotification);
		L.RegFunction("ShowTab", ShowTab);
		L.RegFunction("Focus", Focus);
		L.RegFunction("ShowUtility", ShowUtility);
		L.RegFunction("ShowPopup", ShowPopup);
		L.RegFunction("ShowModalUtility", ShowModalUtility);
		L.RegFunction("ShowAsDropDown", ShowAsDropDown);
		L.RegFunction("Show", Show);
		L.RegFunction("ShowAuxWindow", ShowAuxWindow);
		L.RegFunction("ShowModal", ShowModal);
		L.RegFunction("GetWindow", GetWindow);
		L.RegFunction("GetWindowWithRect", GetWindowWithRect);
		L.RegFunction("FocusWindowIfItsOpen", FocusWindowIfItsOpen);
		L.RegFunction("SaveChanges", SaveChanges);
		L.RegFunction("Close", Close);
		L.RegFunction("Repaint", Repaint);
		L.RegFunction("SendEvent", SendEvent);
		L.RegFunction("GetExtraPaneTypes", GetExtraPaneTypes);
		L.RegFunction("New", _CreateUnityEditor_EditorWindow);
		L.RegFunction("__eq", op_Equality);
		L.RegFunction("__tostring", ToLua.op_ToString);
		L.RegVar("rootVisualElement", get_rootVisualElement, null);
		L.RegVar("wantsMouseMove", get_wantsMouseMove, set_wantsMouseMove);
		L.RegVar("wantsMouseEnterLeaveWindow", get_wantsMouseEnterLeaveWindow, set_wantsMouseEnterLeaveWindow);
		L.RegVar("wantsLessLayoutEvents", get_wantsLessLayoutEvents, set_wantsLessLayoutEvents);
		L.RegVar("autoRepaintOnSceneChange", get_autoRepaintOnSceneChange, set_autoRepaintOnSceneChange);
		L.RegVar("maximized", get_maximized, set_maximized);
		L.RegVar("hasFocus", get_hasFocus, null);
		L.RegVar("docked", get_docked, null);
		L.RegVar("focusedWindow", get_focusedWindow, null);
		L.RegVar("mouseOverWindow", get_mouseOverWindow, null);
		L.RegVar("hasUnsavedChanges", get_hasUnsavedChanges, null);
		L.RegVar("saveChangesMessage", get_saveChangesMessage, null);
		L.RegVar("minSize", get_minSize, set_minSize);
		L.RegVar("maxSize", get_maxSize, set_maxSize);
		L.RegVar("titleContent", get_titleContent, set_titleContent);
		L.RegVar("depthBufferBits", get_depthBufferBits, set_depthBufferBits);
		L.RegVar("position", get_position, set_position);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int _CreateUnityEditor_EditorWindow(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 0)
			{
				UnityEditor.EditorWindow obj = new UnityEditor.EditorWindow();
				ToLua.Push(L, obj);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to ctor method: UnityEditor.EditorWindow.New");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int BeginWindows(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.BeginWindows();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int EndWindows(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.EndWindows();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowNotification(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2)
			{
				UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
				UnityEngine.GUIContent arg0 = (UnityEngine.GUIContent)ToLua.CheckObject<UnityEngine.GUIContent>(L, 2);
				obj.ShowNotification(arg0);
				return 0;
			}
			else if (count == 3)
			{
				UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
				UnityEngine.GUIContent arg0 = (UnityEngine.GUIContent)ToLua.CheckObject<UnityEngine.GUIContent>(L, 2);
				double arg1 = (double)LuaDLL.luaL_checknumber(L, 3);
				obj.ShowNotification(arg0, arg1);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.EditorWindow.ShowNotification");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int RemoveNotification(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.RemoveNotification();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowTab(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.ShowTab();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Focus(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.Focus();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowUtility(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.ShowUtility();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowPopup(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.ShowPopup();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowModalUtility(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.ShowModalUtility();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowAsDropDown(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			UnityEngine.Rect arg0 = StackTraits<UnityEngine.Rect>.Check(L, 2);
			UnityEngine.Vector2 arg1 = ToLua.ToVector2(L, 3);
			obj.ShowAsDropDown(arg0, arg1);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Show(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1)
			{
				UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
				obj.Show();
				return 0;
			}
			else if (count == 2)
			{
				UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
				bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
				obj.Show(arg0);
				return 0;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.EditorWindow.Show");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowAuxWindow(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.ShowAuxWindow();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ShowModal(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.ShowModal();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetWindow(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1)
			{
				System.Type arg0 = ToLua.CheckMonoType(L, 1);
				UnityEditor.EditorWindow o = UnityEditor.EditorWindow.GetWindow(arg0);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 2)
			{
				System.Type arg0 = ToLua.CheckMonoType(L, 1);
				bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
				UnityEditor.EditorWindow o = UnityEditor.EditorWindow.GetWindow(arg0, arg1);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 3)
			{
				System.Type arg0 = ToLua.CheckMonoType(L, 1);
				bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
				string arg2 = ToLua.CheckString(L, 3);
				UnityEditor.EditorWindow o = UnityEditor.EditorWindow.GetWindow(arg0, arg1, arg2);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 4)
			{
				System.Type arg0 = ToLua.CheckMonoType(L, 1);
				bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
				string arg2 = ToLua.CheckString(L, 3);
				bool arg3 = LuaDLL.luaL_checkboolean(L, 4);
				UnityEditor.EditorWindow o = UnityEditor.EditorWindow.GetWindow(arg0, arg1, arg2, arg3);
				ToLua.Push(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.EditorWindow.GetWindow");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetWindowWithRect(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 2)
			{
				System.Type arg0 = ToLua.CheckMonoType(L, 1);
				UnityEngine.Rect arg1 = StackTraits<UnityEngine.Rect>.Check(L, 2);
				UnityEditor.EditorWindow o = UnityEditor.EditorWindow.GetWindowWithRect(arg0, arg1);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 3)
			{
				System.Type arg0 = ToLua.CheckMonoType(L, 1);
				UnityEngine.Rect arg1 = StackTraits<UnityEngine.Rect>.Check(L, 2);
				bool arg2 = LuaDLL.luaL_checkboolean(L, 3);
				UnityEditor.EditorWindow o = UnityEditor.EditorWindow.GetWindowWithRect(arg0, arg1, arg2);
				ToLua.Push(L, o);
				return 1;
			}
			else if (count == 4)
			{
				System.Type arg0 = ToLua.CheckMonoType(L, 1);
				UnityEngine.Rect arg1 = StackTraits<UnityEngine.Rect>.Check(L, 2);
				bool arg2 = LuaDLL.luaL_checkboolean(L, 3);
				string arg3 = ToLua.CheckString(L, 4);
				UnityEditor.EditorWindow o = UnityEditor.EditorWindow.GetWindowWithRect(arg0, arg1, arg2, arg3);
				ToLua.Push(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: UnityEditor.EditorWindow.GetWindowWithRect");
			}
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FocusWindowIfItsOpen(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			System.Type arg0 = ToLua.CheckMonoType(L, 1);
			UnityEditor.EditorWindow.FocusWindowIfItsOpen(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int SaveChanges(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.SaveChanges();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Close(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.Close();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Repaint(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			obj.Repaint();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int SendEvent(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			UnityEngine.Event arg0 = (UnityEngine.Event)ToLua.CheckObject(L, 2, typeof(UnityEngine.Event));
			bool o = obj.SendEvent(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetExtraPaneTypes(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)ToLua.CheckObject<UnityEditor.EditorWindow>(L, 1);
			System.Collections.Generic.IEnumerable<System.Type> o = obj.GetExtraPaneTypes();
			ToLua.PushObject(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int op_Equality(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.ToObject(L, 1);
			UnityEngine.Object arg1 = (UnityEngine.Object)ToLua.ToObject(L, 2);
			bool o = arg0 == arg1;
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_rootVisualElement(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.UIElements.VisualElement ret = obj.rootVisualElement;
			ToLua.PushObject(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index rootVisualElement on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_wantsMouseMove(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.wantsMouseMove;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index wantsMouseMove on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_wantsMouseEnterLeaveWindow(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.wantsMouseEnterLeaveWindow;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index wantsMouseEnterLeaveWindow on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_wantsLessLayoutEvents(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.wantsLessLayoutEvents;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index wantsLessLayoutEvents on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_autoRepaintOnSceneChange(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.autoRepaintOnSceneChange;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index autoRepaintOnSceneChange on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_maximized(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.maximized;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index maximized on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_hasFocus(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.hasFocus;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index hasFocus on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_docked(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.docked;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index docked on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_focusedWindow(IntPtr L)
	{
		try
		{
			ToLua.Push(L, UnityEditor.EditorWindow.focusedWindow);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_mouseOverWindow(IntPtr L)
	{
		try
		{
			ToLua.Push(L, UnityEditor.EditorWindow.mouseOverWindow);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_hasUnsavedChanges(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool ret = obj.hasUnsavedChanges;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index hasUnsavedChanges on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_saveChangesMessage(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			string ret = obj.saveChangesMessage;
			LuaDLL.lua_pushstring(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index saveChangesMessage on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_minSize(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.Vector2 ret = obj.minSize;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index minSize on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_maxSize(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.Vector2 ret = obj.maxSize;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index maxSize on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_titleContent(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.GUIContent ret = obj.titleContent;
			ToLua.PushObject(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index titleContent on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_depthBufferBits(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			int ret = obj.depthBufferBits;
			LuaDLL.lua_pushinteger(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index depthBufferBits on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_position(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.Rect ret = obj.position;
			ToLua.PushValue(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index position on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_wantsMouseMove(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.wantsMouseMove = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index wantsMouseMove on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_wantsMouseEnterLeaveWindow(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.wantsMouseEnterLeaveWindow = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index wantsMouseEnterLeaveWindow on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_wantsLessLayoutEvents(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.wantsLessLayoutEvents = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index wantsLessLayoutEvents on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_autoRepaintOnSceneChange(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.autoRepaintOnSceneChange = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index autoRepaintOnSceneChange on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_maximized(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.maximized = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index maximized on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_minSize(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.Vector2 arg0 = ToLua.ToVector2(L, 2);
			obj.minSize = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index minSize on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_maxSize(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.Vector2 arg0 = ToLua.ToVector2(L, 2);
			obj.maxSize = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index maxSize on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_titleContent(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.GUIContent arg0 = (UnityEngine.GUIContent)ToLua.CheckObject<UnityEngine.GUIContent>(L, 2);
			obj.titleContent = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index titleContent on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_depthBufferBits(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.depthBufferBits = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index depthBufferBits on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_position(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			UnityEditor.EditorWindow obj = (UnityEditor.EditorWindow)o;
			UnityEngine.Rect arg0 = StackTraits<UnityEngine.Rect>.Check(L, 2);
			obj.position = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index position on a nil value");
		}
	}
}
#endif
